Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class MidpointSplitPointFinder

    java.lang.Object
      com.vividsolutions.jts.triangulate.MidpointSplitPointFinder

All Implemented Interfaces:
  ConstraintSplitPointFinder

    public class MidpointSplitPointFinder

extends java.lang.Object
implements ConstraintSplitPointFinder

A simple split point finder which returns the midpoint of the split segment. This is a default strategy only. Usually a more sophisticated strategy is required to prevent repeated splitting. Other points which could be used are:

- The projection of the encroaching point on the segment
- A point on the segment which will produce two segments which will not be further encroached
- The point on the segment which is the same distance from an endpoint as the encroaching point

Author:
  Martin Davis

Constructor Summary
`MidpointSplitPointFinder()`

Method Summary
`Coordinate` | `findSplitPoint(Segment seg, Coordinate encroachPt)` Gets the midpoint of the split segment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MidpointSplitPointFinder

    public MidpointSplitPointFinder()

Method Detail

### findSplitPoint

    public Coordinate findSplitPoint(Segment seg,
                                     Coordinate encroachPt)

  Gets the midpoint of the split segment

  Specified by:
    `findSplitPoint` in interface `ConstraintSplitPointFinder`
  Parameters:
    `seg` - the encroached segment
    `encroachPt` - the encroaching point
  Returns:
    the point at which to split the encroached segment

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD